import { Observable } from "rxjs";
export interface BimplusButtonRowItem {
    id: string;
    iconClass?: string;
    icon?: string;
    title?: string;
    tooltip?: string;
    disabled?: boolean | Observable<boolean>;
    buttonStyle?: 'primary' | 'secondary';
    buttonType?: 'text' | 'icon' | 'combined';
    type?: typeof BimplusButtonType['FILE' | 'TEXT'];
}
export interface BimplusButtonClickEvent {
    id: string;
}
export declare const BimplusButtonType: {
    readonly FILE: "file";
    readonly TEXT: "text";
};
