import { ElementRef, EventEmitter } from '@angular/core';
import { BimplusContextMenuItem, BimplusContextMenuPosition } from './bimplus-context-menu.interface';
import * as i0 from "@angular/core";
export declare class BimplusContextMenuComponent {
    private readonly el;
    triggerSelected: EventEmitter<any>;
    showIcons: boolean;
    triggerTitle: string;
    protected readonly _showDropdown: import("@angular/core").WritableSignal<boolean>;
    protected _data?: object;
    protected readonly _position: import("@angular/core").WritableSignal<BimplusContextMenuPosition>;
    private readonly _element;
    private _interval;
    items: import("@angular/core").ModelSignal<BimplusContextMenuItem[] | null | undefined>;
    constructor(el: ElementRef);
    get data(): undefined | object;
    set data(data: object);
    protected _clickOutside(): void;
    protected _actionClick(item: BimplusContextMenuItem): void;
    protected _disabled(item: BimplusContextMenuItem): boolean;
    protected _calculateContextMenuPosition(): void;
    protected _stopTriggerPositionTracking(): void;
    protected _startTriggerPositionTracking(): void;
    protected _toggleDropdown(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusContextMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusContextMenuComponent, "lib-bimplus-context-menu", never, { "showIcons": { "alias": "showIcons"; "required": false; }; "triggerTitle": { "alias": "triggerTitle"; "required": false; }; "items": { "alias": "items"; "required": false; "isSignal": true; }; "data": { "alias": "data"; "required": false; }; }, { "triggerSelected": "triggerSelected"; "items": "itemsChange"; }, never, never, true, never>;
    static ngAcceptInputType_showIcons: unknown;
}
