import { OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from '../bimplus-localized-widget/bimplus-localized-widget.component';
import { LayoutManagerService } from '../../services/layout-manager.service';
import * as i0 from "@angular/core";
export declare class BimplusFloatingBarHeaderLogoComponent extends BimplusLocalizedWidgetComponent implements OnInit {
    private readonly layoutManagerService;
    constructor(translateService: TranslateService, layoutManagerService: LayoutManagerService);
    icon: string;
    isCollapsed: boolean;
    parentId: string;
    title: string;
    ngOnInit(): void;
    onLogoClicked(): void;
    onDragEnd(): void;
    dragBaseElement(event: [number, number]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusFloatingBarHeaderLogoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusFloatingBarHeaderLogoComponent, "lib-bimplus-floating-bar-header-logo", never, { "icon": { "alias": "icon"; "required": false; }; "isCollapsed": { "alias": "isCollapsed"; "required": false; }; "parentId": { "alias": "parentId"; "required": false; }; "title": { "alias": "title"; "required": false; }; }, {}, never, never, true, never>;
}
