type DialogPosition = 'middle' | 'unset';
export interface IDialogOptions {
    width?: string;
    height?: string;
    position?: DialogPosition;
    positionOptions?: DialogPositionOptions;
    overlayClickEnabled?: boolean;
    overlayVisibilityEnabled?: boolean;
    draggable?: boolean;
}
export interface DialogPositionOptions {
    top?: string;
    bottom?: string;
    left?: string;
    right?: string;
}
export interface IDialogInputData {
    options: IDialogOptions;
    data?: unknown;
}
export interface IDialogOutputData {
    data: unknown;
}
export {};
