import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class BimplusInputCheckboxComponent implements ControlValueAccessor {
    enterKeyPressed: EventEmitter<void>;
    value: boolean;
    isDisabled: boolean;
    onChange: (value: boolean) => void;
    onTouched: () => void;
    onCheckboxChange(event: Event): void;
    writeValue(value: boolean): void;
    registerOnChange(fn: (value: boolean) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    toggleAttributeValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusInputCheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusInputCheckboxComponent, "lib-bimplus-input-checkbox", never, {}, { "enterKeyPressed": "enterKeyPressed"; }, never, never, true, never>;
}
