import { EventEmitter, ElementRef, OnInit } from '@angular/core';
import { ControlValueAccessor } from "@angular/forms";
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
interface EnumDefinition {
    id: string;
    name: string;
}
export declare class BimplusInputComboboxComponent implements ControlValueAccessor, OnInit {
    inputElement: ElementRef;
    placeholder: string;
    enterKeyPressed: EventEmitter<void>;
    protected _validValue: import("@angular/core").WritableSignal<boolean>;
    set validValue(valid_value: boolean);
    private _type;
    protected _enumdefinition: Array<EnumDefinition>;
    set enumdefinition(enum_definition: Record<number | string, string> | undefined | Array<string>);
    private _setActiveEnumValue;
    _setActiveArrayValue(): void;
    private _selectedValue;
    set selectedValue(value: string | null);
    ngOnInit(): void;
    set activeEnum(value: EnumDefinition | null);
    get activeEnum(): EnumDefinition | null;
    activeEnumSubject$: BehaviorSubject<EnumDefinition | null>;
    value: string;
    isDisabled: boolean;
    onChange: (value: string) => void;
    onTouched: () => void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    handleInput(event: Event): void;
    handleBlur(): void;
    protected handleKeyDown(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusInputComboboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusInputComboboxComponent, "lib-bimplus-input-combobox", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "validValue": { "alias": "validValue"; "required": false; }; "enumdefinition": { "alias": "enumdefinition"; "required": false; }; "selectedValue": { "alias": "selectedValue"; "required": false; }; }, { "enterKeyPressed": "enterKeyPressed"; }, never, never, true, never>;
    static ngAcceptInputType_validValue: unknown;
}
export {};
