import { EventEmitter, ElementRef } from '@angular/core';
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class BimplusInputNumberComponent implements ControlValueAccessor {
    inputElement: ElementRef;
    placeholder: string;
    enterKeyPressed: EventEmitter<void>;
    protected _validValue: import("@angular/core").WritableSignal<boolean>;
    set validValue(valid_value: boolean);
    minValue: string;
    maxValue: string;
    value: number;
    isDisabled: boolean;
    onChange: (value: number) => void;
    onTouched: () => void;
    writeValue(value: number): void;
    registerOnChange(fn: (value: number) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    handleInput(event: Event): void;
    handleBlur(): void;
    protected handleKeyDown(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusInputNumberComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusInputNumberComponent, "lib-bimplus-input-number", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "validValue": { "alias": "validValue"; "required": false; }; "minValue": { "alias": "minValue"; "required": false; }; "maxValue": { "alias": "maxValue"; "required": false; }; }, { "enterKeyPressed": "enterKeyPressed"; }, never, never, true, never>;
    static ngAcceptInputType_validValue: unknown;
}
