export interface CriteriaSelectObjectAttribute {
    id: string;
    name: string;
    description: string;
    group: string;
    value: string | number | boolean | null | undefined;
    checked: boolean;
    valueChecked: boolean;
    isChangeable: boolean;
    type: string;
    control?: string;
    unit?: string;
    defaultValue?: string;
    decimal?: number;
    enumValues?: Record<number, string>;
}
export interface CriteriaSelectObjectAttributeGroup {
    name: string;
    attributes: CriteriaSelectObjectAttribute[];
    expanded: boolean;
}
