import { TranslateService } from "@ngx-translate/core";
import { DialogService } from "../bimplus-general-overlay-dialog/bimplus-general-overlay-dialog.service";
import { BimplusButtonClickEvent, BimplusButtonRowItem } from "../bimplus-buttons-row/bimplus-buttons-row.interface";
import * as i0 from "@angular/core";
export interface ConfirmDialogInputData {
    title: string;
    message: string;
    acceptButtonLocalizedString: string;
    cancelButtonLocalizedString: string;
    acceptCallback: () => void;
}
export declare class BimplusOverlayDialogConfirmComponent {
    private readonly dialogService;
    private readonly translateService;
    private _title;
    private _message;
    acceptButtonLocalizedString: string;
    cancelButtonLocalizedString: string;
    acceptCallback: (() => void) | undefined;
    protected buttons: BimplusButtonRowItem[];
    get title(): string;
    set title(value: string);
    get message(): string;
    set message(value: string);
    constructor(dialogService: DialogService, translateService: TranslateService);
    initializeButtons(): void;
    close(): void;
    keypressClose(event: KeyboardEvent): void;
    buttonRowButtonClicked($event: BimplusButtonClickEvent): void;
    handleKeydown(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusOverlayDialogConfirmComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusOverlayDialogConfirmComponent, "lib-bimplus-overlay-dialog-confirm", never, { "title": { "alias": "title"; "required": false; }; "message": { "alias": "message"; "required": false; }; }, {}, never, never, true, never>;
}
