import { TranslateService } from '@ngx-translate/core';
import { BimplusButtonClickEvent, BimplusButtonRowItem } from '../bimplus-buttons-row/bimplus-buttons-row.interface';
import { DialogService } from '../bimplus-general-overlay-dialog/bimplus-general-overlay-dialog.service';
import * as i0 from "@angular/core";
export interface CommentDialogData {
    title: string;
    message: string;
    acceptCallback: () => void;
}
export declare class BimplusOverlayDialogDeleteComponent {
    private readonly dialogService;
    private readonly translateService;
    private _title;
    private _message;
    private readonly data;
    acceptCallback: (() => void) | undefined;
    protected readonly buttons: BimplusButtonRowItem[];
    get title(): string;
    set title(value: string);
    get message(): string;
    set message(value: string);
    constructor(dialogService: DialogService, translateService: TranslateService);
    close(): void;
    keypressClose(event: KeyboardEvent): void;
    buttonRowButtonClicked($event: BimplusButtonClickEvent): void;
    handleKeydown(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusOverlayDialogDeleteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusOverlayDialogDeleteComponent, "lib-bimplus-overlay-dialog-delete", never, { "title": { "alias": "title"; "required": false; }; "message": { "alias": "message"; "required": false; }; }, {}, never, never, true, never>;
}
