import { EventEmitter } from '@angular/core';
import { BimplusLocalizedWidgetComponent } from "./../bimplus-localized-widget/bimplus-localized-widget.component";
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export interface SidenavItem {
    id: string;
    icon?: string;
    iconActive?: string;
    iconDisabled?: string;
    text: string;
    disabled?: boolean;
}
export declare class BimplusSidenavComponent extends BimplusLocalizedWidgetComponent {
    constructor(translateService: TranslateService);
    readonly activeItem: import("@angular/core").WritableSignal<string>;
    readonly drawerWidth: import("@angular/core").WritableSignal<number>;
    readonly drawerExpanded: import("@angular/core").WritableSignal<boolean>;
    activeItemChanged: EventEmitter<string>;
    actionClicked: EventEmitter<string>;
    footerClicked: EventEmitter<string>;
    items: import("@angular/core").InputSignal<SidenavItem[]>;
    private readonly activateItemEffectRef;
    actionItems: import("@angular/core").InputSignal<SidenavItem[]>;
    footerItem: import("@angular/core").InputSignal<SidenavItem | null>;
    _activateItem(item: string): void;
    _clickAction(item: string): void;
    _clickFooter(item: string): void;
    _toggleDrawer(): void;
    _onResizeWidth(event: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusSidenavComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusSidenavComponent, "lib-bimplus-sidenav", never, { "items": { "alias": "items"; "required": false; "isSignal": true; }; "actionItems": { "alias": "actionItems"; "required": false; "isSignal": true; }; "footerItem": { "alias": "footerItem"; "required": false; "isSignal": true; }; }, { "activeItemChanged": "activeItemChanged"; "actionClicked": "actionClicked"; "footerClicked": "footerClicked"; }, never, never, true, never>;
}
