import { EventEmitter } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from "../bimplus-localized-widget/bimplus-localized-widget.component";
import * as i0 from "@angular/core";
export declare class BimplusStorageInfoComponent extends BimplusLocalizedWidgetComponent {
    constructor(translateService: TranslateService);
    /**--------------------------------------------------------------------------
    * properties
    --------------------------------------------------------------------------*/
    usedStorage: import("@angular/core").InputSignal<number>;
    bimplusStorageInfoClicked: EventEmitter<string>;
    /**--------------------------------------------------------------------------
    * clicked storage info container
    --------------------------------------------------------------------------*/
    _infoClicked(action: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusStorageInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusStorageInfoComponent, "lib-bimplus-storage-info", never, { "usedStorage": { "alias": "usedStorage"; "required": false; "isSignal": true; }; }, { "bimplusStorageInfoClicked": "bimplusStorageInfoClicked"; }, never, never, true, never>;
}
