import { Signal, EventEmitter } from '@angular/core';
import { BimplusTabsSwitcherService } from './services/bimplus-tabs-switcher.service';
import { BimplusTabComponentModel } from './bimplus-tabs-switcher.interface';
import * as i0 from "@angular/core";
export declare class BimplusTabsSwitcherComponent {
    private readonly bimplusTabsSwitcherService;
    activeTab?: string;
    activeTabChange: EventEmitter<string>;
    /** default tab elements, can be chanaged from outside by BimplusTabsSwitcherService */
    protected readonly tabSwitcherElements: Signal<BimplusTabComponentModel[]>;
    /** app base href */
    protected readonly baseHref: string | null;
    constructor(bimplusTabsSwitcherService: BimplusTabsSwitcherService);
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusTabsSwitcherComponent, [{ optional: true; skipSelf: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusTabsSwitcherComponent, "lib-bimplus-tabs-switcher", never, { "activeTab": { "alias": "activeTab"; "required": false; }; }, { "activeTabChange": "activeTabChange"; }, never, ["*"], true, never>;
}
