import { BimplusTabComponentModel, BimplusTabsSwitcherConfig } from '../bimplus-tabs-switcher.interface';
import * as i0 from "@angular/core";
export declare class BimplusTabsSwitcherService {
    private readonly bimplusTabsSwitcherConfig?;
    /** Default tab switcher elements. */
    private readonly tabSwitcherElements;
    readonly tabSwitcherElements$: import("rxjs").Observable<BimplusTabComponentModel[]>;
    /** Attribute to indicate active tab. (only for BimplusTabComponent) */
    private readonly activeTab;
    readonly activeTab$: import("rxjs").Observable<string>;
    setActiveTab(key: string): void;
    constructor(bimplusTabsSwitcherConfig?: Pick<BimplusTabsSwitcherConfig, "defaultTabsSwitcherElements"> | undefined);
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusTabsSwitcherService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BimplusTabsSwitcherService>;
}
