import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AutoResizeTextareaDirective {
    private el;
    private _libAutoResizeTextarea;
    private _autoResizeMinRows;
    private _autoResizeMaxRows;
    private currentRows;
    private offsetHeight;
    private readonly input;
    private avgLineHeight;
    set autoResizeMinRows(value: number);
    get autoResizeMinRows(): number;
    set autoResizeMaxRows(value: number);
    get autoResizeMaxRows(): number;
    set libAutoResizeTextarea(condition: boolean);
    get libAutoResizeTextarea(): boolean;
    constructor(el: ElementRef);
    onInput(): void;
    private calculateLineHeight;
    private updateRows;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoResizeTextareaDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutoResizeTextareaDirective, "[libAutoResizeTextarea]", never, { "autoResizeMinRows": { "alias": "autoResizeMinRows"; "required": false; }; "autoResizeMaxRows": { "alias": "autoResizeMaxRows"; "required": false; }; "libAutoResizeTextarea": { "alias": "libAutoResizeTextarea"; "required": false; }; }, {}, never, never, true, never>;
}
