import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class BimplusTextareaComponent implements OnInit, OnDestroy {
    textareaControl: FormControl<any>;
    private _textareaSubscription?;
    textAreaValueChange: EventEmitter<string>;
    private _name;
    private _placeholder;
    private _readonly;
    private _required;
    private _rows;
    private _activeAutoResizeTextarea;
    private _minRows;
    private _maxRows;
    private _clearValue;
    set name(value: string);
    get name(): string;
    set placeholder(value: string);
    get placeholder(): string;
    set readonly(value: boolean);
    get readonly(): boolean;
    set required(value: boolean);
    get required(): boolean;
    set minRows(value: number);
    get minRows(): number;
    set maxRows(value: number);
    get maxRows(): number;
    set activeAutoResizeTextarea(value: boolean);
    get activeAutoResizeTextarea(): boolean;
    set clearValue(clear: boolean);
    get clearValue(): boolean;
    set rows(value: number);
    get rows(): number;
    constructor();
    ngOnInit(): void;
    getTextareaValue(): any;
    onKeydown(event: KeyboardEvent): boolean;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusTextareaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusTextareaComponent, "lib-bimplus-textarea", never, { "name": { "alias": "name"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "required": { "alias": "required"; "required": false; }; "minRows": { "alias": "minRows"; "required": false; }; "maxRows": { "alias": "maxRows"; "required": false; }; "activeAutoResizeTextarea": { "alias": "activeAutoResizeTextarea"; "required": false; }; "clearValue": { "alias": "clearValue"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; }, { "textAreaValueChange": "textAreaValueChange"; }, never, never, true, never>;
}
