import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BimplusZoomComponent {
    /**--------------------------------------------------------------------------
    * List of available zoom
    --------------------------------------------------------------------------*/
    _zoomList: {
        symbol: string;
        text: string;
    }[];
    /**--------------------------------------------------------------------------
    * States
    --------------------------------------------------------------------------*/
    _menuOpened: boolean;
    /**--------------------------------------------------------------------------
    * properties
    --------------------------------------------------------------------------*/
    isTouch: boolean;
    /**--------------------------------------------------------------------------
    * properties
    --------------------------------------------------------------------------*/
    selectedZoom: string;
    /**--------------------------------------------------------------------------
    * Zoom selected event
    --------------------------------------------------------------------------*/
    bimplusZoomSelected: EventEmitter<string>;
    /**--------------------------------------------------------------------------
    * Zoom selection
    --------------------------------------------------------------------------*/
    _switchZoom(zoom: string): void;
    /**--------------------------------------------------------------------------
    * toggle menu open
    --------------------------------------------------------------------------*/
    _toggleOpened(): void;
    /**--------------------------------------------------------------------------
    * setup dynamic classes for zoom item
    --------------------------------------------------------------------------*/
    _getZoomClassObject(symbol: string): {
        [x: string]: boolean;
        selected: boolean;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusZoomComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusZoomComponent, "lib-bimplus-zoom", never, { "isTouch": { "alias": "isTouch"; "required": false; }; "selectedZoom": { "alias": "selectedZoom"; "required": false; }; }, { "bimplusZoomSelected": "bimplusZoomSelected"; }, never, never, true, never>;
    static ngAcceptInputType_isTouch: unknown;
}
