import { EventEmitter } from '@angular/core';
import * as WebSdk from "bimplus-websdk";
import { BimplusLocalizedWidgetComponent } from "../bimplus-localized-widget/bimplus-localized-widget.component";
import { TranslateService } from "@ngx-translate/core";
import * as i0 from "@angular/core";
export declare class ObjectHyperlinksItemComponent extends BimplusLocalizedWidgetComponent {
    constructor(translateService: TranslateService);
    hyperlink: WebSdk.Hyperlink | undefined;
    deleteButtonEnabled: boolean;
    deleteButtonClicked: EventEmitter<void>;
    onDeleteButtonClick(): void;
    onDeleteButtonKeyDown($event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObjectHyperlinksItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ObjectHyperlinksItemComponent, "lib-object-hyperlinks-item", never, { "hyperlink": { "alias": "hyperlink"; "required": false; }; "deleteButtonEnabled": { "alias": "deleteButtonEnabled"; "required": false; }; }, { "deleteButtonClicked": "deleteButtonClicked"; }, never, never, true, never>;
}
