import { ObjectAttributeGroup, ObjectAttribute } from '../object-properties/object-properties.interface';
import { FormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ObjectPropertiesGroupComponent {
    protected _editMode: import("@angular/core").WritableSignal<boolean>;
    set editMode(edit_mode: boolean);
    objectPropertiesForm: FormGroup | undefined;
    protected _existFormControlForAttibute(attribId: string): boolean;
    protected _isValueValid(attribId: string): boolean;
    protected _canUpdateObject: import("@angular/core").WritableSignal<boolean>;
    set canUpdateObject(canUpdateObject: boolean);
    protected _attributesGroup: import("@angular/core").WritableSignal<ObjectAttributeGroup>;
    set attributesGroup(value: ObjectAttributeGroup | undefined);
    constructor();
    protected isValueBlank(attrib: ObjectAttribute): boolean;
    protected _isBoleanTextBox(attrib: ObjectAttribute): boolean;
    protected _isBoleanCheckBox(attrib: ObjectAttribute): boolean;
    protected _isTextBox(attrib: ObjectAttribute): boolean;
    protected _isDoubleTextBox(attrib: ObjectAttribute): boolean;
    protected _isIntegerTextBox(attrib: ObjectAttribute): boolean;
    protected _isGuidTextBox(attrib: ObjectAttribute): boolean;
    protected _isDoubleEnumeration(attrib: ObjectAttribute): boolean;
    protected _isGuidEnumeration(attrib: ObjectAttribute): boolean;
    protected _isIntegerEnumeration(attrib: ObjectAttribute): boolean;
    protected _isStringEnumeration(attrib: ObjectAttribute): boolean;
    protected _isStringCombobox(attrib: ObjectAttribute): boolean;
    protected _isDatetime(attrib: ObjectAttribute): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObjectPropertiesGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ObjectPropertiesGroupComponent, "lib-object-properties-group", never, { "editMode": { "alias": "editMode"; "required": false; }; "objectPropertiesForm": { "alias": "objectPropertiesForm"; "required": false; }; "canUpdateObject": { "alias": "canUpdateObject"; "required": false; }; "attributesGroup": { "alias": "attributesGroup"; "required": false; }; }, {}, never, never, true, never>;
}
