import { EventEmitter } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from "./../bimplus-localized-widget/bimplus-localized-widget.component";
import { ProjectNavigatorModel, ProjectNavigatorLayer } from './project-models.interface';
import * as i0 from "@angular/core";
export declare class ProjectModelsComponent extends BimplusLocalizedWidgetComponent {
    constructor(translateService: TranslateService);
    modelTreeRootTitle: string;
    modelTreeRootName: string;
    expandedModelTree: boolean;
    models: import("@angular/core").InputSignal<ProjectNavigatorModel[]>;
    clickedModel: EventEmitter<ProjectNavigatorModel>;
    clickedLayer: EventEmitter<ProjectNavigatorLayer>;
    toggleOpacityOfModel: EventEmitter<ProjectNavigatorModel>;
    toggleOpacityOfLayer: EventEmitter<ProjectNavigatorLayer>;
    toggleVisibilityOfModel: EventEmitter<ProjectNavigatorModel>;
    toggleVisibilityOfLayer: EventEmitter<ProjectNavigatorLayer>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProjectModelsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProjectModelsComponent, "lib-project-models", never, { "modelTreeRootTitle": { "alias": "modelTreeRootTitle"; "required": false; }; "modelTreeRootName": { "alias": "modelTreeRootName"; "required": false; }; "expandedModelTree": { "alias": "expandedModelTree"; "required": false; }; "models": { "alias": "models"; "required": false; "isSignal": true; }; }, { "clickedModel": "clickedModel"; "clickedLayer": "clickedLayer"; "toggleOpacityOfModel": "toggleOpacityOfModel"; "toggleOpacityOfLayer": "toggleOpacityOfLayer"; "toggleVisibilityOfModel": "toggleVisibilityOfModel"; "toggleVisibilityOfLayer": "toggleVisibilityOfLayer"; }, never, never, true, never>;
}
