import { OnInit, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ResizablePanelComponent implements OnInit, OnDestroy {
    position: 'left' | 'right';
    hasDraggableHandle: boolean;
    hasDraggableBorder: boolean;
    minWidth: number | (() => number) | undefined;
    maxWidth: number | (() => number) | undefined;
    defaultWidth: number;
    canResize: (currentWidth: number, deltaX: number) => boolean;
    drawerWidth: number;
    drawerExpanded: boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
    applyWidthConstraints(): void;
    handleWindowResize: () => void;
    _toggleDrawer(): void;
    _onResizeWidth(event: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResizablePanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResizablePanelComponent, "lib-resizable-panel", never, { "position": { "alias": "position"; "required": false; }; "hasDraggableHandle": { "alias": "hasDraggableHandle"; "required": false; }; "hasDraggableBorder": { "alias": "hasDraggableBorder"; "required": false; }; "minWidth": { "alias": "minWidth"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "defaultWidth": { "alias": "defaultWidth"; "required": false; }; "canResize": { "alias": "canResize"; "required": false; }; }, {}, never, never, true, never>;
}
