import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class DraggableDirective {
    oldX: number;
    oldY: number;
    isDragging: boolean;
    wasDragging: boolean;
    isMouseDown: boolean;
    dragging: EventEmitter<[number, number]>;
    dragEnd: EventEmitter<MouseEvent>;
    clicked: EventEmitter<MouseEvent>;
    onMouseMove(event: MouseEvent): void;
    onMouseUp(): void;
    onMouseDown(event: MouseEvent): void;
    onMouseClick(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DraggableDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DraggableDirective, "[libDraggable]", never, {}, { "dragging": "dragging"; "dragEnd": "dragEnd"; "clicked": "clicked"; }, never, never, true, never>;
}
