import { PipeTransform } from '@angular/core';
import { ObjectAttribute } from '../components/object-properties/object-properties.interface';
import 'moment/min/locales';
import * as i0 from "@angular/core";
export declare class GetAttributeValue implements PipeTransform {
    constructor();
    _transformDouble(value: ObjectAttribute): string;
    _transformDoubleEnumeration(value: ObjectAttribute): string;
    _transformDatetime(value: ObjectAttribute): string;
    _transformGUID(value: ObjectAttribute): string;
    _transformGUIDEnumeration(value: ObjectAttribute): string;
    _transformInt(value: ObjectAttribute): string;
    _transformIntEnumeration(value: ObjectAttribute): string;
    _transformString(value: ObjectAttribute): string;
    _transformStringEnumeration(value: ObjectAttribute): string;
    _transformStringCombobox(value: ObjectAttribute): string;
    _transformBooleanToBoolean(value: ObjectAttribute): boolean;
    _transformBooleanToString(value: ObjectAttribute): string;
    transform(value: ObjectAttribute): string | boolean;
    private isEmpty;
    private isDouble;
    private isDoubleEnumeration;
    private isDatetime;
    private isGUID;
    private isGUIDEnumeration;
    private isInt;
    private isIntEnumeration;
    private isString;
    private isStringEnumeration;
    private isStringCombobox;
    private isBooleanCheckbox;
    private isBooleanTextbox;
    static ɵfac: i0.ɵɵFactoryDeclaration<GetAttributeValue, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<GetAttributeValue, "getAttributeValue", true>;
}
