import { Observable } from 'rxjs';
import { BimplusLocalizedWidgetComponent } from '../bimplus-localized-widget/bimplus-localized-widget.component';
import { BimplusButtonRowItem, BimplusButtonClickEvent } from './bimplus-buttons-row.interface';
import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BimplusButtonsRowComponent extends BimplusLocalizedWidgetComponent {
    protected readonly BimplusButtonType: {
        readonly FILE: "file";
        readonly TEXT: "text";
    };
    isMultiple: boolean;
    items: import("@angular/core").InputSignal<BimplusButtonRowItem[]>;
    canUpdateObject: import("@angular/core").InputSignal<boolean>;
    fileChanged: EventEmitter<File[]>;
    buttonClicked: EventEmitter<BimplusButtonClickEvent>;
    protected onChange(event: Event, inputElement: HTMLInputElement): void;
    protected _buttonClicked(item: BimplusButtonRowItem): void;
    protected isObservable(value: Observable<boolean> | boolean): value is Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusButtonsRowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusButtonsRowComponent, "lib-bimplus-buttons-row", never, { "isMultiple": { "alias": "isMultiple"; "required": false; }; "items": { "alias": "items"; "required": false; "isSignal": true; }; "canUpdateObject": { "alias": "canUpdateObject"; "required": false; "isSignal": true; }; }, { "fileChanged": "fileChanged"; "buttonClicked": "buttonClicked"; }, never, never, true, never>;
}
