import { VisibilityProperties } from './../../interfaces/bimplus-visibility-properties.interface';
export interface ConnexisResultsRoot extends VisibilityProperties {
    id: string;
    name: string;
    resultList: Array<ConnexisResultList>;
}
export interface ConnexisResultList extends VisibilityProperties {
    id: string;
    name: string;
    colorHexCode: string;
    results: Array<ConnexisResult>;
    parent: ConnexisResultsRoot;
}
export interface ConnexisResult extends VisibilityProperties {
    id: string;
    name: string;
    message: string;
    isValid: boolean;
    unityRatio: string;
    isSelected: boolean;
    parent: ConnexisResultList;
}
