import { BimplusContextMenuItem } from '../bimplus-context-menu/bimplus-context-menu.interface';
export interface TreeNode {
    name: string;
    children?: Array<TreeNode>;
    id: string;
    parent?: string;
    nodeType?: string;
}
export interface FlatNode {
    expandable: boolean;
    children_count: number | undefined;
    name: string;
    level: number;
    id: string;
    parent?: string;
    nodeType?: string;
    isChecked1: boolean;
    isChecked2: boolean;
    isUndetermined1: boolean;
    isUndetermined2: boolean;
}
export interface FlatTreeContextMenus {
    objectContextMenuitems?: Array<BimplusContextMenuItem>;
    folderContextMenuitems?: Array<BimplusContextMenuItem>;
}
