import { EventEmitter } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from "./../bimplus-localized-widget/bimplus-localized-widget.component";
import { FloatingBarItem } from '../bimplus-floating-bar/bimplus-floating-bar.interface';
import { LayoutManagerService } from '../../services/layout-manager.service';
import * as i0 from "@angular/core";
export declare class BimplusFloatingBarHeaderContentComponent extends BimplusLocalizedWidgetComponent {
    private readonly layoutManagerService;
    constructor(translateService: TranslateService, layoutManagerService: LayoutManagerService);
    isCollapsed: boolean;
    parentId: string;
    actionClicked: EventEmitter<string>;
    items: import("@angular/core").InputSignal<FloatingBarItem[]>;
    findItemById(id: string): FloatingBarItem | undefined;
    onItemClicked(action: string): void;
    onDragEnd(): void;
    dragBaseElement(event: [number, number]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusFloatingBarHeaderContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusFloatingBarHeaderContentComponent, "lib-bimplus-floating-bar-header-content", never, { "isCollapsed": { "alias": "isCollapsed"; "required": false; }; "parentId": { "alias": "parentId"; "required": false; }; "items": { "alias": "items"; "required": false; "isSignal": true; }; }, { "actionClicked": "actionClicked"; }, never, never, true, never>;
}
