import { EventEmitter, ElementRef, AfterViewInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from "./../bimplus-localized-widget/bimplus-localized-widget.component";
import { FloatingBarItem } from '../bimplus-floating-bar/bimplus-floating-bar.interface';
import { LayoutManagerService } from '../../services/layout-manager.service';
import * as i0 from "@angular/core";
export declare class BimplusFloatingBarHideObjectsComponent extends BimplusLocalizedWidgetComponent implements AfterViewInit {
    private readonly element;
    actionClicked: EventEmitter<string>;
    noBody: boolean;
    isFocused: boolean;
    items: import("@angular/core").ModelSignal<FloatingBarItem[]>;
    protected layoutManagerService: LayoutManagerService;
    componentId: string;
    icon: string;
    title: string;
    focusSelectorId: string;
    constructor(translateService: TranslateService, layoutManagerService: LayoutManagerService, element: ElementRef);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusFloatingBarHideObjectsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusFloatingBarHideObjectsComponent, "lib-bimplus-floating-bar-hide-objects", never, { "noBody": { "alias": "noBody"; "required": false; }; "isFocused": { "alias": "isFocused"; "required": false; }; "items": { "alias": "items"; "required": false; "isSignal": true; }; }, { "actionClicked": "actionClicked"; "items": "itemsChange"; }, never, never, true, never>;
}
