import { EventEmitter, ElementRef, AfterViewChecked, ChangeDetectorRef, AfterViewInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from "./../bimplus-localized-widget/bimplus-localized-widget.component";
import { FloatingBarItem } from '../bimplus-floating-bar/bimplus-floating-bar.interface';
import { LayoutManagerService } from '../../services/layout-manager.service';
import * as i0 from "@angular/core";
export declare class BimplusFloatingBarIsolationObjectsComponent extends BimplusLocalizedWidgetComponent implements AfterViewInit, AfterViewChecked {
    private layoutManagerService;
    private element;
    private cdr;
    constructor(translateService: TranslateService, layoutManagerService: LayoutManagerService, element: ElementRef, cdr: ChangeDetectorRef);
    private hasViewChecked;
    actionClicked: EventEmitter<string>;
    noBody: boolean;
    isFocused: boolean;
    items: Array<FloatingBarItem>;
    icon: string;
    title: string;
    focusSelectorId: string;
    componentId: string;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusFloatingBarIsolationObjectsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusFloatingBarIsolationObjectsComponent, "lib-bimplus-floating-bar-isolation-objects", never, { "noBody": { "alias": "noBody"; "required": false; }; "isFocused": { "alias": "isFocused"; "required": false; }; "items": { "alias": "items"; "required": false; }; }, { "actionClicked": "actionClicked"; }, never, never, true, never>;
}
