import { AfterContentInit, ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { IDialogOptions } from './bimplus-general-dialog-config-settings';
import { DialogService } from './bimplus-general-overlay-dialog.service';
import * as i0 from "@angular/core";
export declare class BimportalGeneralOverlayDialogComponent implements OnInit, AfterContentInit {
    private readonly dialogService;
    private readonly cdref;
    genDialogRefContainer: ElementRef<HTMLDivElement>;
    dialogOverlay: ElementRef<HTMLDivElement>;
    options: IDialogOptions | undefined;
    units: string;
    constructor(dialogService: DialogService, cdref: ChangeDetectorRef);
    ngOnInit(): void;
    onClose(): void;
    ngAfterContentInit(): void;
    setOptions(): void;
    private setDimensions;
    private setPosition;
    setPositionsUnset(): void;
    setPositionsMiddle(): void;
    private setOverlay;
    onKeyPress(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimportalGeneralOverlayDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimportalGeneralOverlayDialogComponent, "app-general-overlay-dialog", never, {}, {}, never, ["*"], true, never>;
}
