import { EventEmitter, ElementRef } from '@angular/core';
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class BimplusInputTextFieldComponent implements ControlValueAccessor {
    inputElement: ElementRef;
    placeholder: string;
    enterKeyPressed: EventEmitter<void>;
    protected _showClearButton: import("@angular/core").WritableSignal<boolean>;
    set showClearButton(show_clear_button: boolean);
    protected _validValue: import("@angular/core").WritableSignal<boolean>;
    set validValue(valid_value: boolean);
    value: string;
    isDisabled: boolean;
    onChange: (value: string) => void;
    onTouched: () => void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    handleInput(event: Event): void;
    handleBlur(): void;
    protected _clearValue(event: Event): void;
    protected handleKeyDown(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusInputTextFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusInputTextFieldComponent, "lib-bimplus-input-text-field", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "showClearButton": { "alias": "showClearButton"; "required": false; }; "validValue": { "alias": "validValue"; "required": false; }; }, { "enterKeyPressed": "enterKeyPressed"; }, never, never, true, never>;
    static ngAcceptInputType_showClearButton: unknown;
    static ngAcceptInputType_validValue: unknown;
}
