import { EventEmitter } from '@angular/core';
import { LogoState } from './logo-state.enum';
import * as i0 from "@angular/core";
export declare class BimplusNavbarComponent {
    projectInfo: string;
    teamInfo: string;
    isDev: boolean;
    isStage: boolean;
    teamInfoOffset: string;
    isNavbarMenuVisible: boolean;
    isNavbarInfoVisible: boolean;
    logoState: import("@angular/core").InputSignal<LogoState>;
    isModelViewerActive: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    isNavbarMessageVisible: boolean;
    isNavbarMenuActive: boolean;
    isNavbarMenuEnabled: boolean;
    isTouch: boolean;
    isDashboardTooltipEnabled: boolean;
    selectedLanguage: string;
    bimplusNavbarClicked: EventEmitter<string>;
    LogoState: typeof LogoState;
    protected readonly logoStateSignal: import("@angular/core").Signal<LogoState>;
    _menuClicked(): void;
    _logoClicked(): void;
    _projectInfoClicked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusNavbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusNavbarComponent, "lib-bimplus-navbar", never, { "projectInfo": { "alias": "projectInfo"; "required": false; }; "teamInfo": { "alias": "teamInfo"; "required": false; }; "isDev": { "alias": "isDev"; "required": false; }; "isStage": { "alias": "isStage"; "required": false; }; "teamInfoOffset": { "alias": "teamInfoOffset"; "required": false; }; "isNavbarMenuVisible": { "alias": "isNavbarMenuVisible"; "required": false; }; "isNavbarInfoVisible": { "alias": "isNavbarInfoVisible"; "required": false; }; "logoState": { "alias": "logoState"; "required": false; "isSignal": true; }; "isModelViewerActive": { "alias": "isModelViewerActive"; "required": false; "isSignal": true; }; "isNavbarMessageVisible": { "alias": "isNavbarMessageVisible"; "required": false; }; "isNavbarMenuActive": { "alias": "isNavbarMenuActive"; "required": false; }; "isNavbarMenuEnabled": { "alias": "isNavbarMenuEnabled"; "required": false; }; "isTouch": { "alias": "isTouch"; "required": false; }; "isDashboardTooltipEnabled": { "alias": "isDashboardTooltipEnabled"; "required": false; }; "selectedLanguage": { "alias": "selectedLanguage"; "required": false; }; }, { "bimplusNavbarClicked": "bimplusNavbarClicked"; }, never, never, true, never>;
    static ngAcceptInputType_isDev: unknown;
    static ngAcceptInputType_isStage: unknown;
    static ngAcceptInputType_isNavbarMenuVisible: unknown;
    static ngAcceptInputType_isNavbarInfoVisible: unknown;
    static ngAcceptInputType_isNavbarMessageVisible: unknown;
    static ngAcceptInputType_isNavbarMenuActive: unknown;
    static ngAcceptInputType_isNavbarMenuEnabled: unknown;
    static ngAcceptInputType_isTouch: unknown;
    static ngAcceptInputType_isDashboardTooltipEnabled: unknown;
}
