import * as WebSdk from "bimplus-websdk";
import { Observable } from 'rxjs';
import { Attachment } from '../bimplus-attachments/bimplus-attachments.interface';
import { DecoratorsService } from '../../services/decorators.service';
import * as i0 from "@angular/core";
export declare class BimplusObjectCommentsListService {
    private readonly decorators;
    api: WebSdk.Api;
    private readonly bimplusAttachmentsService;
    constructor(decorators: DecoratorsService);
    deleteComment(commentId: string): Observable<void>;
    downloadAttachment(attachment: Attachment): void;
    postComments(rootObjectId: string, dataText: string, hyperlinks: Partial<WebSdk.Hyperlink>[], attachments: Attachment[], newAttachmentIDs: string[]): Observable<string | null>;
    private decorateComment;
    private decorateComments;
    loadComments(objectId: string): Observable<WebSdk.CommentsResponse>;
    manageHyperLinks(createdCommentId: string, hyperlinks: Partial<WebSdk.Hyperlink>[]): Observable<(void | WebSdk.Hyperlink | undefined)[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusObjectCommentsListService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BimplusObjectCommentsListService>;
}
