import { EventEmitter } from '@angular/core';
import { BimplusFlatTreeComponent } from '../bimplus-flat-tree/bimplus-flat-tree.component';
import { ComplexPropertiesNode } from './bimplus-object-complex-properties.interface';
import { FlatNode, TreeNode } from '../bimplus-flat-tree/bimplus-flat-tree.interface';
import * as i0 from "@angular/core";
export declare class BimplusObjectComplexPropertiesComponent {
    complexProperties: import("@angular/core").InputSignal<ComplexPropertiesNode>;
    treeComponent: BimplusFlatTreeComponent | null;
    readonly treeData: import("@angular/core").Signal<TreeNode[]>;
    private _convertObjectStructureNodeToTreeNode;
    private _findNode;
    handleSelectedNodes(nodes: FlatNode[]): void;
    expandTree(): void;
    nodeSelected: EventEmitter<ComplexPropertiesNode>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusObjectComplexPropertiesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusObjectComplexPropertiesComponent, "lib-bimplus-object-complex-properties", never, { "complexProperties": { "alias": "complexProperties"; "required": false; "isSignal": true; }; }, { "nodeSelected": "nodeSelected"; }, never, never, true, never>;
}
