import { EventEmitter } from '@angular/core';
import { BimplusFlatTreeComponent } from '../bimplus-flat-tree/bimplus-flat-tree.component';
import { FlatNode, TreeNode } from '../bimplus-flat-tree/bimplus-flat-tree.interface';
import { ObjectStructureNode } from './bimplus-object-structure.interface';
import * as i0 from "@angular/core";
export declare class BimplusObjectStructureComponent {
    hasCheckBox1: boolean;
    hasCheckBox2: boolean;
    objectStructure: import("@angular/core").InputSignal<ObjectStructureNode>;
    treeComponent: BimplusFlatTreeComponent | null;
    private _convertObjectStructureNodeToTreeNode;
    readonly treeData: import("@angular/core").Signal<TreeNode[]>;
    private _findNode;
    handleSelectedNodes(nodes: FlatNode[]): void;
    handleVisibleNodes(nodes: FlatNode[]): void;
    handleOpaqueNodes(nodes: FlatNode[]): void;
    expandTree(): void;
    nodeSelected: EventEmitter<ObjectStructureNode>;
    nodeVisible: EventEmitter<ObjectStructureNode>;
    nodeOpaque: EventEmitter<ObjectStructureNode>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusObjectStructureComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusObjectStructureComponent, "lib-bimplus-object-structure", never, { "hasCheckBox1": { "alias": "hasCheckBox1"; "required": false; }; "hasCheckBox2": { "alias": "hasCheckBox2"; "required": false; }; "objectStructure": { "alias": "objectStructure"; "required": false; "isSignal": true; }; }, { "nodeSelected": "nodeSelected"; "nodeVisible": "nodeVisible"; "nodeOpaque": "nodeOpaque"; }, never, never, true, never>;
}
