import { TemplateRef } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { DialogService } from '../bimplus-general-overlay-dialog/bimplus-general-overlay-dialog.service';
import { BimplusButtonRowItem } from '../bimplus-buttons-row/bimplus-buttons-row.interface';
import * as i0 from "@angular/core";
export interface WarningDialogInputData {
    title: string;
    message: string;
    buttonsRef?: TemplateRef<unknown>;
}
export declare class BimplusOverlayDialogWarningComponent {
    private readonly dialogService;
    private readonly translateService;
    private _title;
    private _message;
    private readonly _data;
    protected readonly buttonsRef: TemplateRef<unknown> | null;
    acceptCallback: (() => void) | undefined;
    protected readonly buttons: BimplusButtonRowItem[];
    get title(): string;
    set title(value: string);
    get message(): string;
    set message(value: string);
    constructor(dialogService: DialogService, translateService: TranslateService);
    close(): void;
    keypressClose(event: KeyboardEvent): void;
    buttonRowButtonClicked(): void;
    handleKeydown(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusOverlayDialogWarningComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusOverlayDialogWarningComponent, "lib-bimplus-overlay-dialog-warning", never, { "title": { "alias": "title"; "required": false; }; "message": { "alias": "message"; "required": false; }; }, {}, never, never, true, never>;
}
