import { BehaviorSubject } from 'rxjs';
import { StatusBarData } from './statusBar';
import * as i0 from "@angular/core";
export declare class BimplusStatusBarService {
    _statusBarData: BehaviorSubject<StatusBarData>;
    constructor();
    get statusBarVisible(): boolean;
    get title(): string;
    get statusBarData(): StatusBarData;
    get statusBarDataSubscription(): BehaviorSubject<StatusBarData>;
    setStatusBarData(data: StatusBarData): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusStatusBarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BimplusStatusBarService>;
}
