import { InjectionToken } from "@angular/core";
export type BimplusTabComponentModel = {
    id: string;
    title: string;
    img: {
        default: string;
        active: string;
    };
};
export declare const DEFAULT_TAB_SWITCHER_ELEMENTS: BimplusTabComponentModel[];
export type BimplusTabsSwitcherConfig = {
    defaultTabsSwitcherElements?: BimplusTabComponentModel[];
    disabled: Partial<{
        all: boolean;
        id: string;
    }>;
};
export declare const BIMPLUS_TABS_SWITCHER_CONFIG: InjectionToken<BimplusTabsSwitcherConfig>;
