import { EventEmitter, ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import { TooltipMessageData, TooltipMessagePosition } from './bimplus-tooltip-message.interface';
import * as i0 from "@angular/core";
export declare class BimplusTooltipMessageComponent implements OnChanges {
    private el;
    private _element;
    constructor(el: ElementRef);
    get element(): HTMLElement;
    messagePosition: TooltipMessagePosition;
    messageData: TooltipMessageData;
    messageVisibility: boolean;
    messageVisibilityChange: EventEmitter<boolean>;
    protected _clickOutside(): void;
    private _resizeObserver;
    protected _messageParentElement: ElementRef;
    protected _parentWidth: number;
    protected _parentHeight: number;
    get messageParent(): ElementRef;
    set messageParent(element: ElementRef);
    tooltipRectangleIsOutOfParentRectangleX(tooltipRectangle: DOMRect, parentRectangle: DOMRect): boolean;
    tooltipRectangleIsOutOfParentRectangleY(tooltipRectangle: DOMRect, parentRectangle: DOMRect): boolean;
    correctTooltipPositionX(oldPosX: number, flippedX: boolean, oldPosY: number, flippedY: boolean): void;
    correctTooltipPositionY(oldPosX: number, flippedX: boolean, oldPosY: number, flippedY: boolean): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusTooltipMessageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusTooltipMessageComponent, "lib-bimplus-tooltip-message", never, { "messagePosition": { "alias": "messagePosition"; "required": false; }; "messageData": { "alias": "messageData"; "required": false; }; "messageVisibility": { "alias": "messageVisibility"; "required": false; }; "messageParent": { "alias": "messageParent"; "required": false; }; }, { "messageVisibilityChange": "messageVisibilityChange"; }, never, [".tooltip-message-title-content", ".tooltip-message-messages-content", ".tooltip-message-footer-content"], true, never>;
}
