import { OnInit } from '@angular/core';
import { BimplusButtonClickEvent, BimplusButtonRowItem } from "../bimplus-buttons-row/bimplus-buttons-row.interface";
import { BimplusLocalizedWidgetComponent } from "../bimplus-localized-widget/bimplus-localized-widget.component";
import { TranslateService } from "@ngx-translate/core";
import * as WebSdk from "bimplus-websdk";
import { DialogService } from "../bimplus-general-overlay-dialog/bimplus-general-overlay-dialog.service";
import { FormBuilder, FormGroup } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class ObjectHyperlinksComponent extends BimplusLocalizedWidgetComponent implements OnInit {
    private readonly dialogService;
    private readonly formBuilder;
    hyperlinkForm: FormGroup;
    constructor(translateService: TranslateService, dialogService: DialogService, formBuilder: FormBuilder);
    api: WebSdk.Api | null;
    set rootObjectId(id: string);
    get rootObjectId(): string;
    private readonly _currentObjectId$;
    private readonly _currentPropertiesObjectId$;
    private _rootObjectId;
    buttonRowItems: Array<BimplusButtonRowItem>;
    canCreateHyperlinks: boolean;
    canDeleteHyperlinks: boolean;
    hyperlinks: Array<WebSdk.Hyperlink>;
    ngOnInit(): void;
    buttonRowButtonClicked($event: BimplusButtonClickEvent): void;
    private loadHyperlinks;
    private addHyperlink;
    onHyperlinkItemDeleteButtonClicked(hyperlink: WebSdk.Hyperlink): void;
    private deleteHyperlink;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObjectHyperlinksComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ObjectHyperlinksComponent, "lib-object-hyperlinks", never, { "api": { "alias": "api"; "required": false; }; "rootObjectId": { "alias": "rootObjectId"; "required": false; }; "canCreateHyperlinks": { "alias": "canCreateHyperlinks"; "required": false; }; "canDeleteHyperlinks": { "alias": "canDeleteHyperlinks"; "required": false; }; }, {}, never, never, true, never>;
}
