import { EventEmitter, SimpleChanges, OnChanges } from '@angular/core';
import { CreateLinkData, SelectedObject } from './object-properties-header.interface';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from '../bimplus-localized-widget/bimplus-localized-widget.component';
import * as i0 from "@angular/core";
export declare class ObjectPropertiesHeaderComponent extends BimplusLocalizedWidgetComponent implements OnChanges {
    constructor(translateService: TranslateService);
    selectedObject: EventEmitter<SelectedObject>;
    closePropertiesPanel: EventEmitter<any>;
    selectedObjects: Array<SelectedObject>;
    _activeObject: SelectedObject | null;
    openLinkMessage: boolean;
    onOpenLink?: () => void;
    set activeObject(value: SelectedObject | null);
    get activeObject(): SelectedObject | null;
    private _linkData;
    get linkData(): CreateLinkData;
    set linkData(value: CreateLinkData);
    _closePropertiesPanel(event: Event): void;
    ngOnChanges(changes: SimpleChanges): void;
    openLink(): void;
    closeLink: () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObjectPropertiesHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ObjectPropertiesHeaderComponent, "lib-object-properties-header", never, { "selectedObjects": { "alias": "selectedObjects"; "required": false; }; "onOpenLink": { "alias": "onOpenLink"; "required": false; }; "linkData": { "alias": "linkData"; "required": false; }; }, { "selectedObject": "selectedObject"; "closePropertiesPanel": "closePropertiesPanel"; }, never, never, true, never>;
}
