export interface ObjectAttribute {
    id: string;
    name: string;
    description: string;
    group: string;
    type: string;
    value: string;
    isChangeable: boolean;
    tooltip: string;
    minValue: string;
    maxValue: string;
    defaultValue?: string;
    unit?: string;
    decimal?: number;
    control?: string;
    enumdefinition?: Record<number | string, string> | Array<string>;
}
export interface ObjectAttributeGroup {
    name: string;
    attributes: ObjectAttribute[];
    expanded: boolean;
}
