import { ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ComponentDraggableDirective {
    private el;
    private renderer;
    private _isDraggingActive;
    private _isDragging;
    startX: number;
    startY: number;
    constructor(el: ElementRef, renderer: Renderer2);
    set libDraggableComponent(condition: boolean);
    onMouseDown(event: MouseEvent): void;
    onMouseUp(): void;
    onMouseMove(event: MouseEvent): void;
    onTouchStart(event: TouchEvent): void;
    onTouchMove(event: TouchEvent): void;
    onTouchEnd(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ComponentDraggableDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ComponentDraggableDirective, "[libDraggableComponent]", never, { "libDraggableComponent": { "alias": "libDraggableComponent"; "required": false; }; }, {}, never, never, true, never>;
}
