import { DecimalPipe } from '@angular/common';
import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare const BitConverterSize: {
    readonly KB: "kB";
    readonly GB: "gib";
    readonly MB: "mb";
};
export declare class BitConverterPipe extends DecimalPipe implements PipeTransform {
    transform(value: number | string, digitsInfo?: string, locale?: string): string | null;
    transform(value: null | undefined, digitsInfo?: string, locale?: string): null;
    transform(value: number | string | null | undefined, digitsInfo?: string, locale?: string): string | null;
    private getSizeFromBites;
    private isNumber;
    static ɵfac: i0.ɵɵFactoryDeclaration<BitConverterPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<BitConverterPipe, "bitConverter", true>;
}
