import { LocalizedStrings } from './../types/types';
import { BehaviorSubject } from 'rxjs/internal/BehaviorSubject';
import * as i0 from "@angular/core";
export declare class LanguageStringsService {
    set languageFilesUri(uri: string);
    private readonly defaultLang;
    currentLanguage$: BehaviorSubject<string>;
    currentLanguageStrings$: BehaviorSubject<LocalizedStrings>;
    get currentLanguage(): string;
    set currentLanguageStrings(langStrings: LocalizedStrings);
    get currentLanguageStrings(): LocalizedStrings;
    setCurrentLanguage(lang: string): Promise<void>;
    extractLocalizedStrings(stringIds: Array<string>): LocalizedStrings;
    fetchLanguageStrings(lang: string): Promise<void>;
    private _languageFilesUri;
    static ɵfac: i0.ɵɵFactoryDeclaration<LanguageStringsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LanguageStringsService>;
}
