import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class LocalStorageService {
    private storageSubject;
    constructor();
    setItem(key: string, value: string): void;
    getItem(key: string): string | null;
    removeItem(key: string): void;
    clear(): void;
    setObject(key: string, value: unknown): void;
    getObject(key: string): unknown;
    watchStorage(): Observable<{
        key: string;
        value: unknown;
    } | null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalStorageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LocalStorageService>;
}
